ALLOC_ETHERDEV_MQS(9)

NAME
alloc_etherdev_mqs - Allocates and sets up an Ethernet device

SYNOPSIS

struct net_device * alloc_etherdev_mqs(int sizeof_priv, unsigned int txqs, unsigned int rxqs);

ARGUMENTS

sizeof_priv
    Size of additional driver-private structure to be allocated for this Ethernet device

txqs
    The number of TX queues this device has.

rxqs
    The number of RX queues this device has.

DESCRIPTION

Fill in the fields of the device structure with Ethernet-generic values. Basically does everything except registering the device.

Constructs a new net device, complete with a private data area of size (sizeof_priv). A 32-byte (not bit) alignment is enforced for this private data area.

COPYRIGHT